@import "../base/variable.scss";
@import "../base/mixins.scss";

label{
	&.error{
		display: block;
		color: #f00 !important;
		font-weight: 500 !important;
		font-size: 14px !important;
	}
}

.callout{
	border-radius: .25rem;
    box-shadow: 0 1px 3px rgba(0,0,0,.12), 0 1px 2px rgba(0,0,0,.24);
    background-color: #fff;
    border-left: 5px solid #e9ecef;
    margin-bottom: 1rem;
    padding: 13px;
	&.callout-success{
		border-left-color: #1e7e34;
	    background-color: #28a745;
	    color: #fff;
	}
    &.callout-danger{
        border-left-color: #bd2130;
        background-color: #d72d3e;
        color: #fff;
    }
}

.alert{
	&.alert-success{
		border-left-color: #1e7e34;
	    background-color: #28a745;
	    color: #fff;
	}
    &.alert-danger{
        border-left-color: #bd2130;
        background-color: #d72d3e;
        color: #fff;
    }
}

.popover{
	max-width: 360px;
	padding: 20px;
	border: 1px solid #e8e8eb;
	box-shadow: 0px 12px 20px 0px rgba(0,0,50,.12);
	.popover-body{
		padding: 0;
		p{
			font-weight: 600;
			font-size: 14px;
			color: $black;
			padding-bottom: 10px;
			a{
				color: $blue;
				display: inline-block;
			}
		}
		a{
			color: $blue;
			font-weight: 600;
			display: block;
		}
	}
}

.pagination_area{
	text-align: center;
	display: table;
	margin: 0 auto;
	@include clearfix();
	.list-inline{
		li{
			a{
				display: block;
				font-size: 16px;
				color: $black;
				background-color: $primary_color;
				color: $white;
				padding: 0px 0px;
				width: 30px;
				height: 30px;
				margin: 0px 1.2px;
				line-height: 30px;
				font-size: 14px;
				text-transform: uppercase;
				letter-spacing: 0.5px;
				&:hover{
					background-color: darken($primary_color, 10%);
				}
			}
			&.page_np{
				a{
					width: auto;
					padding: 0px 8px;
				}
			}
			&.disable{
				cursor: no-drop;
				a{
					pointer-events: none;
				}
			}
		}
	}
}

.custom_pagination{
	padding-top: 15px;
	overflow: auto;
	.pagination{
	    white-space: nowrap;
	    //justify-content: flex-end;
	    .paginate_button{
	        &.page-item{
	            a{
	                display: block;
	                position: relative;
	                padding: .5rem .75rem;
	                margin-left: -1px;
	                line-height: 1.25;
	                color: $black;
	                background-color: #fff;
	                border: 1px solid #dee2e6;
	                &.active{
	                    color: #fff;
	                    background-color: $primary_color;
	                    border-color: $primary_color;
	                }
	            }
	        }
	    }
	}

}



#pb_scroll::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 0px rgba(0,0,0,0);
	background-color: none;
}

#pb_scroll::-webkit-scrollbar
{
	width: 3px;
	background-color: none;
}

#pb_scroll::-webkit-scrollbar-thumb
{
	background-color: $primary_color;
	border: 1px solid $primary_color;
}

.read-more{
	position: relative;
	&::after{
		position: absolute;
		content: "\f061";
		right: 0;
		top: 0;
		font-family: 'Font Awesome 5 Pro';
		color: $copy-right;
		font-size: 12px;
		padding-top: 4px;
		font-weight: 700;
	}
}

.calender{
	position: relative;
	&::after{
		position: absolute;
		content: "\f073";
		left: 0;
		top: 0;
		font-family: 'Font Awesome 5 Pro';
		color: $primary_color;
		font-size: 14px;
		padding-top: 0px;
		font-weight: 600;
	}
}



/**
 *  This element is created inside your target element
 *  It is used so that your own element will not need to be altered
 **/
 .time_circles {
    position: relative;
    // width: 100%;
    // height: 100%;
	// overflow: auto;
	// margin: 0 auto;
	@include clearfix();
	padding: 50px 0;
	padding-bottom: 30px;
	margin-bottom: 80px;
}
.time_circles canvas {
	height: 0	;
}

/**
 *  This is all the elements used to house all text used
 * in time circles
 **/
.time_circles > div {
    // position: absolute;
    // text-align: center;
	width: 80px;
	height: 80px;
	border-radius: 10px;
	background: rgba(255, 255, 255, 0.2);
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.04), inset 0px 2px 2px rgba(255, 255, 255, 0.3);
	display: inline-block;
	line-height: 80px;
	margin-right: 40px;
	position: relative;
	&::after{
		position: absolute;
		content: "";
		right: -24px;
		top: 40%;
		width: 7px;
		height: 7px;
		background-color: $black;
		border-radius: 50%;
	}
	&::before{
		position: absolute;
		content: "";
		right: -24px;
		top: 60%;
		width: 7px;
		height: 7px;
		background-color: $black;
		border-radius: 50%;
	}
	&:last-child{
		margin-right: 0;
		&::after{
			content: none;
		}
		&::before{
			content: none;
		}
	}
}

/**
 *  Titles (Days, Hours, etc)
 **/
.time_circles > div > h4 {
    margin: 0;
    padding: 0;
    text-align: center;
    text-transform: uppercase;
    font-family: 'Montserrat';
	font-weight: 500 !important;
	font-size: 14px !important;
	position: absolute;
	bottom: -31px;
	left: 0;
	right: 0;
}

/**
 *  Time numbers, ie: 12
 **/
.time_circles > div > span {
    margin: 0;
    padding: 0;
    display: block;
    width: 100%;
    text-align: center;
    font-family: 'Montserrat';
    font-weight: 400;
	font-size: 30px !important;
}
.time_circles .textDiv_Days{
	// width: 80px !important;
	// height: 80px;
	// line-height: 80px;
	// box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.04), inset 0px 2px 2px rgba(255, 255, 255, 0.3);
}








/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
	
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
	
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
	
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.time_circles {
		margin-bottom: 30px;
			div {
			width: 50px;
			height: 50px;
			line-height: 50px;
			span {
				font-size: 20px !important;
			}
			h4{
				font-size: 12px !important;
			}
		}
	}

}

/* Smaller phones */
@media (max-width: 360px) {
	.time_circles {
		margin-bottom: 30px;
			div {
			width: 40px;
			height: 40px;
			line-height: 40px;
			span {
				font-size: 20px !important;
			}
			h4{
				font-size: 11px !important;
			}
		}
	}
}

/* Smaller phones */
@media (max-width: 320px) {
	
}